Bug 223178 - Commit dialog: Usability: Doubleclick should invoke diff-action as default action
Commit dialog: Usability: Doubleclick should invoke diff-action as default ac...
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-03 14:22 UTC by markiewb
Modified: 2013-05-12 21:24 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Example (98.64 KB, image/png)
2012-12-03 14:22 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-12-03 14:22:27 UTC
[ BUILD # : 201211260002 ]
[ JDK VERSION : 1.7.0_09 ]

Commit dialog for GIT/HG/SVN:
* Double click on a file...

ACTUAL: nothing happens
EXPECTED: diff action should be invoked (already available in the context menu
- see screenshot

Product Version: NetBeans IDE Dev (Build 201211260002)
Updates: Updates available
Java: 1.7.0_09; Java HotSpot(TM) 64-Bit Server VM 23.5-b02
Runtime: Java(TM) SE Runtime Environment 1.7.0_09-b05
System: Windows 7 version 6.1 running on amd64; Cp1252; de_DE (nb)
Comment 1 markiewb 2012-12-03 14:22:53 UTC
Created attachment 128779 [details]
Example
Comment 2 Ondrej Vrabec 2012-12-04 08:33:22 UTC
makes sense
Comment 3 Ondrej Vrabec 2013-01-28 13:56:22 UTC
fix: http://hg.netbeans.org/core-main/rev/c9d1842102b1
Comment 4 Quality Engineering 2013-01-29 03:28:30 UTC
Integrated into 'main-golden', will be available in build *201301290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c9d1842102b1
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #223178 - Commit dialog: Usability: Doubleclick should invoke diff-action as default action


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo